/***************************************************************************
                          myprojectdlg.h  -  description
                             -------------------
    begin                : Thu Jan 22 2004
    copyright            : (C) 2004 by Harald Krippel
    email                : neuro.harald@surfeu.at
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include <qlistview.h>
#include <projectdlg.h>
#include <listviews.h>

 class MyProjectEditDlg : public ProjectEditDlg
{
    Q_OBJECT

public:
    MyProjectEditDlg( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    QString getfile();
    QString getpath();
    ~MyProjectEditDlg();


public slots:
    virtual void slotGetData(FolderListItem *i);
    virtual void slotEditData();
    virtual void slotEditText();
    virtual void slotEditPath();
    virtual void slotEditPathDir();

protected:

    QString tmppath;
    int state;
};
